Skip to main content
GET
List planner items

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Query Parameters

page
number
default:1

Page number

Required range: x >= 1
limit
number
default:25

Items per page

Required range: 1 <= x <= 100
sortColumn
enum<string>
default:due_date

Field to sort by

Available options:
title,
due_date,
dueDate,
start_date,
startDate,
status,
business_value,
businessValue,
hours,
cost_estimate,
costEstimate,
created_at,
createdAt,
updated_at,
updatedAt
sortDesc
boolean | null
default:true

Sort descending

Search in title and description

Maximum string length: 255
companyId
string<uuid>

Filter by company ID

typeId
string<uuid>

Filter by planner item type ID

status
enum<string>

Filter by status

Available options:
In Progress,
Not Started,
Completed,
On Hold,
Cancelled,
Pending Approval
businessValue
enum<string>

Filter by business value

Available options:
High,
Medium,
Low
isArchived
boolean | null
default:false

Include archived items

dueDateFrom
string<date-time>

Filter by due date (from)

dueDateTo
string<date-time>

Filter by due date (to)

Response

List of planner items

data
object[]
required

Array of planner items

pagination
object
required